---
updatedAt: 2026-04-09T18:00:25.000Z
---

Fetch the complete documentation index at: https://developers.pismo.io/pismo-docs/llms.txt. Use this file to discover all available pages before exploring further.

# Block/unblock banking asset

Block or unblock a banking asset

If the request succeeds, this endpoint generates an [Asset blocked](https://developers.pismo.io/events/docs/assets-asset-block-1) event;
otherwise, generates an [Asset block failed](https://developers.pismo.io/events/docs/assets-asset-block-failure-1) event.


# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Banking - Assets",
    "version": "1.0.0",
    "description": "API to handle banking assets operations and management",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support"
    },
    "license": {
      "name": "Copyright Pismo"
    }
  },
  "servers": [
    {
      "url": "https://sandbox.pismolabs.io/assets-accrual",
      "description": "Sandbox API server for testing"
    },
    {
      "url": "https://sandbox.pismolabs.io/assets-accrual",
      "description": "Sandbox API for oauth2"
    },
    {
      "url": "https://api.pismolabs.io/assets-accrual",
      "description": "API server for production"
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "tags": [
    {
      "name": "Assets",
      "description": "Asset endpoints"
    }
  ],
  "components": {
    "parameters": {
      "AssetID": {
        "name": "asset_id",
        "in": "path",
        "description": "Client assigned asset ID. Must consist of the characters [a-z,A-Z,0-9,-,:] with a range from 1 to 128.\n",
        "required": true,
        "schema": {
          "type": "string"
        },
        "example": "2345"
      },
      "CorrelationID": {
        "in": "header",
        "name": "x-cid",
        "schema": {
          "type": "string"
        },
        "description": "The Correlation IDentifier field is used to link related API requests and events.  The x-cid can help the Pismo engineering team track everything related to a call. You can find the x-cid field in the response header from an API endpoint call.\n\nIf this field isn't passed, one is automatically generated.\n",
        "example": "5bb05174-4e80-11ea-b77f-2e728ce88125"
      },
      "IssuerID": {
        "name": "issuer_id",
        "in": "path",
        "required": true,
        "description": "Issuer ID. For more information, refer to [issuer identification number](https://www.investopedia.com/terms/i/issuer-identification-number-iin.asp)",
        "schema": {
          "type": "string"
        },
        "example": "24"
      }
    },
    "schemas": {
      "AssetBlock": {
        "title": "AssetBlock",
        "example": {
          "units": 50,
          "document_number": "83759935060",
          "status": "BLOCK",
          "external_id": "cac02d17-2587-4a7e-ae6a-b449049a8529",
          "reason": "Test block 50 units"
        },
        "type": "object",
        "properties": {
          "units": {
            "$ref": "#/components/schemas/Units"
          },
          "document_number": {
            "$ref": "#/components/schemas/DocumentNumber"
          },
          "status": {
            "$ref": "#/components/schemas/AssetBlockStatus"
          },
          "external_id": {
            "$ref": "#/components/schemas/ExternalID"
          },
          "reason": {
            "$ref": "#/components/schemas/BlockedReason"
          }
        },
        "required": [
          "units",
          "document_number"
        ]
      },
      "AssetBlockStatus": {
        "type": "string",
        "description": "Asset block status",
        "enum": [
          "BLOCK",
          "UNBLOCK"
        ],
        "example": "BLOCK"
      },
      "BlockedReason": {
        "type": "string",
        "description": "Reason asset was blocked",
        "example": "Delinquent account",
        "minLength": 0,
        "maxLength": 64
      },
      "DocumentNumber": {
        "type": "string",
        "description": "A government document number, such as a social security number (US). Must be numeric with 11-14 digits.\n",
        "minLength": 1,
        "maxLength": 14,
        "example": "123412341234"
      },
      "ExternalID": {
        "type": "string",
        "description": "Client-provided external asset ID. No longer than 128 alphanumeric characters.",
        "example": "93830-FFFF-84940",
        "minLength": 0,
        "maxLength": 128
      },
      "Units": {
        "type": "integer",
        "format": "int32",
        "description": "Number of asset units",
        "example": 20
      }
    },
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      }
    },
    "responses": {
      "202AssetBlockedResponse": {
        "description": "Accepted"
      },
      "400BadRequest": {
        "description": "Bad Request"
      },
      "401Unauthorized": {
        "description": "Unauthorized"
      },
      "500InternalServerError": {
        "description": "Internal server error"
      },
      "404NotFound": {
        "description": "Not found"
      }
    }
  },
  "paths": {
    "/v1/issuer/{issuer_id}/assets/{asset_id}/block": {
      "post": {
        "summary": "Block/unblock banking asset",
        "description": "Block or unblock a banking asset\n\nIf the request succeeds, this endpoint generates an [Asset blocked](https://developers.pismo.io/events/docs/assets-asset-block-1) event;\notherwise, generates an [Asset block failed](https://developers.pismo.io/events/docs/assets-asset-block-failure-1) event.\n",
        "tags": [
          "Assets"
        ],
        "operationId": "AssetBlock",
        "parameters": [
          {
            "$ref": "#/components/parameters/CorrelationID"
          },
          {
            "$ref": "#/components/parameters/IssuerID"
          },
          {
            "$ref": "#/components/parameters/AssetID"
          }
        ],
        "requestBody": {
          "description": "Request body",
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/AssetBlock"
              }
            }
          }
        },
        "responses": {
          "202": {
            "description": "ACCEPTED",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/responses/202AssetBlockedResponse"
                }
              }
            }
          },
          "400": {
            "$ref": "#/components/responses/400BadRequest"
          },
          "401": {
            "$ref": "#/components/responses/401Unauthorized"
          },
          "404": {
            "$ref": "#/components/responses/404NotFound"
          },
          "500": {
            "$ref": "#/components/responses/500InternalServerError"
          }
        }
      }
    }
  }
}
```